function output = log_zero(input)

% Funkce pro ošetření log(0)

output = zeros(1,length(input));
for i=1:length(input)
        if input(i) ~= 0
            output(i) = log(input(i));
        else
            output(i) = 0;
        end
end


